#
# spec file for package coldsync (Version 2.1.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         coldsync
Copyright:    GPL/Artistic License
Group:        Applications/Communications
Autoreqprov:  on
Version:      2.1.3
Release:      62
Summary:      a tool for synchronizing PalmOS devices
Source:       %{name}-%{version}.tar.bz2
Patch0:       %{name}-%{version}-prefix.patch
Patch1:       %{name}-%{version}-retsigtype.patch
BuildRoot:    %{_tmppath}/%{name}-root
URL:          http://www.ooblick.com/software/coldsync/

%description
ColdSync is a tool for synchronizing data between Palm
devices (such as the PalmPilot, PalmPilot Pro, Palm V,
QualComm PDQ, Handspring Visor), and a Unix workstation.
ColdSync can back up and restore the state of a Palm, as well
as synchronize its data, which is sort of like a two-way rdist

Authors:
--------
    Andrew Arensburger <arensb@ooblick.com>

SuSE series: ap

%prep
%setup 
%patch0
%patch1

%build
%{suse_update_config}                                                                    
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
	    --bindir=/usr/bin \
            --mandir=%{_mandir} \
            --infodir=%{_infodir} \
            --sysconfdir=/etc  \
            --datadir=/usr/share
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p RPM_BUILD_ROOT
eval `perl -V:installarchlib`
rm -f $installarchlib/perllocal.pod
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT install
# this workaround for fucking Makefile.PL !
cp -vr  $RPM_BUILD_ROOT/lib/ $RPM_BUILD_ROOT/usr/
cp -vr  $RPM_BUILD_ROOT/libexec $RPM_BUILD_ROOT/usr/
cp -vr  $RPM_BUILD_ROOT/share/man/man3 $RPM_BUILD_ROOT/usr/share/man/
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
mv $RPM_BUILD_ROOT$installarchlib/perllocal.pod $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/var/adm/perl-modules/
cat %{name} | sed s:$RPM_BUILD_ROOT:: > %{name}.n
mv %{name}.n %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc  AUTHORS  INSTALL TODO  ChangeLog FAQ HACKING NEWS README 
/usr/bin/coldsync
/usr/libexec/coldsync/
/usr/share/man/man1/send-mail.*
/usr/share/man/man1/todo-text.*
/usr/share/man/man8/coldsync.*
/usr/share/man/man3/ColdSync.*
/usr/share/man/man3/ColdSync::SPC.*
/usr/share/info/conduits.*
/usr/lib/perl5/5.*/*-linux/
/usr/lib/perl5/site_perl/5.*/
/etc/sample.coldsync.rc
/var/adm/perl-modules/%{name}

%changelog -n coldsync
* Thu Aug 09 2001 - adostal@suse.cz
- update to version 2.1.3
- fixed spec file
- create prefix and retsigtype patches
* Wed Jun 13 2001 - pblaha@suse.cz
- fix compilation in conduit.c
- bziped source
* Wed Mar 14 2001 - ro@suse.de
- fixed neededforbuild
- usual handling for perllocal.pod
* Thu Mar 08 2001 - pblaha@suse.cz
- create this package for synchonize between Palm and Linux
